Mean And Standard Deviation
Statistical Functions

## Functions

NppStatus | nppsMeanStdDevGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMeanStdDev_32f. More...
NppStatus | nppsMeanStdDevGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMeanStdDevGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMeanStdDev_64f. More...
NppStatus | nppsMeanStdDevGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMeanStdDevGetBufferSize_16s32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMeanStdDev_16s32s_Sfs. More...
NppStatus | nppsMeanStdDevGetBufferSize_16s32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsMeanStdDevGetBufferSize_16s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMeanStdDev_16s_Sfs. More...
NppStatus | nppsMeanStdDevGetBufferSize_16s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsMeanStdDev_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMean, Npp32f *pStdDev, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector mean and standard deviation method More...
NppStatus | nppsMeanStdDev_32f (const Npp32f *pSrc, int nLength, Npp32f *pMean, Npp32f *pStdDev, Npp8u *pDeviceBuffer)
NppStatus | nppsMeanStdDev_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMean, Npp64f *pStdDev, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float vector mean and standard deviation method More...
NppStatus | nppsMeanStdDev_64f (const Npp64f *pSrc, int nLength, Npp64f *pMean, Npp64f *pStdDev, Npp8u *pDeviceBuffer)
NppStatus | nppsMeanStdDev_16s32s_Sfs_Ctx (const Npp16s *pSrc, int nLength, Npp32s *pMean, Npp32s *pStdDev, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit float vector mean and standard deviation method (return values are 32-bit) More...
NppStatus | nppsMeanStdDev_16s32s_Sfs (const Npp16s *pSrc, int nLength, Npp32s *pMean, Npp32s *pStdDev, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsMeanStdDev_16s_Sfs_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMean, Npp16s *pStdDev, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit float vector mean and standard deviation method (return values are also 16-bit) More...
NppStatus | nppsMeanStdDev_16s_Sfs (const Npp16s *pSrc, int nLength, Npp16s *pMean, Npp16s *pStdDev, int nScaleFactor, Npp8u *pDeviceBuffer)

## Detailed Description

## Function Documentation

NppStatus nppsMeanStdDev_16s32s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMean,
|  | Npp32s * | pStdDev,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMeanStdDev_16s32s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMean,
|  | Npp32s * | pStdDev,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit float vector mean and standard deviation method (return values are 32-bit)

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output mean value.
  pStdDev | Pointer to the output standard deviation value.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanStdDevGetBufferSize_16s32s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMeanStdDev_16s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMean,
|  | Npp16s * | pStdDev,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMeanStdDev_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMean,
|  | Npp16s * | pStdDev,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit float vector mean and standard deviation method (return values are also 16-bit)

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output mean value.
  pStdDev | Pointer to the output standard deviation value.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanStdDevGetBufferSize_16s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMeanStdDev_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMean,
|  | Npp32f * | pStdDev,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMeanStdDev_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMean,
|  | Npp32f * | pStdDev,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector mean and standard deviation method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output mean value.
  pStdDev | Pointer to the output standard deviation value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanStdDevGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMeanStdDev_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMeanStdDev_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float vector mean and standard deviation method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output mean value.
  pStdDev | Pointer to the output standard deviation value.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanStdDevGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMeanStdDevGetBufferSize_16s32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanStdDevGetBufferSize_16s32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMeanStdDev_16s32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanStdDevGetBufferSize_16s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanStdDevGetBufferSize_16s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMeanStdDev_16s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanStdDevGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanStdDevGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMeanStdDev_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanStdDevGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanStdDevGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMeanStdDev_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2018 NVIDIA Corporation